<?php
/**
 * Photo Fusion Pro Customizer Color Options
 *
 * @package Theme Palace
 * @subpackage Photo Fusion Pro
 * @since Photo Fusion Pro 1.0
 */

// Add reset enable setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[color_theme_type]', array(
	'default'           => $options['color_theme_type'],
	'sanitize_callback' => 'photo_fusion_pro_sanitize_select',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[color_theme_type]', array(
	'label'             => esc_html__( 'Theme Color Type', 'photo-fusion-pro' ),
	'section'           => 'colors',
	'type'              => 'radio',
	'choices'			=> photo_fusion_pro_color_theme_type()
) );

// Add reset enable setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[color_layout_options]', array(
	'default'           => $options['color_layout_options'],
	'sanitize_callback' => 'photo_fusion_pro_sanitize_select',
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[color_layout_options]', array(
	'label'             => esc_html__( 'Color Layout', 'photo-fusion-pro' ),
	'section'           => 'colors',
	'type'              => 'select',
	'choices'			  => photo_fusion_pro_color_layouts(),
	'active_callback'	=> 'photo_fusion_pro_color_theme_type_theme',
) );

// Site theme color
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[theme_color]',
	array(
		'sanitize_callback'	=> 'sanitize_hex_color',
		'default'			=>	$options['theme_color'],
	)
);
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'photo_fusion_pro_theme_options[theme_color]',
    array(
		'label'       		=> esc_html__( 'Choose Theme Color', 'photo-fusion-pro' ),
		'section'     		=> 'colors',
		'settings'    		=> 'photo_fusion_pro_theme_options[theme_color]',
		'active_callback'	=> 'photo_fusion_pro_color_theme_type_picker',
    )
) );

// Site theme buttons hover color
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[theme_button_hover_color]',
	array(
		'sanitize_callback'	=> 'sanitize_hex_color',
		'default'			=>	$options['theme_button_hover_color'],
	)
);
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'photo_fusion_pro_theme_options[theme_button_hover_color]',
    array(
		'label'       		=> esc_html__( 'Choose Theme Buttons Hover Color', 'photo-fusion-pro' ),
		'section'     		=> 'colors',
		'settings'    		=> 'photo_fusion_pro_theme_options[theme_button_hover_color]',
		'active_callback'	=> 'photo_fusion_pro_color_theme_type_picker',
    )
) );

// Site theme category color
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[theme_post_meta_color]',
	array(
		'sanitize_callback'	=> 'sanitize_hex_color',
		'default'			=>	$options['theme_post_meta_color'],
	)
);
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'photo_fusion_pro_theme_options[theme_post_meta_color]',
    array(
		'label'       		=> esc_html__( 'Choose Meta Color', 'photo-fusion-pro' ),
		'section'     		=> 'colors',
		'settings'    		=> 'photo_fusion_pro_theme_options[theme_post_meta_color]',
		'active_callback'	=> 'photo_fusion_pro_color_theme_type_picker',
    )
) );