<?php
/**
* Copyright options
*
* @package Theme Palace
* @subpackage Photo Fusion Pro
* @since Photo Fusion Pro 1.0
*/

// Add copyright section
$wp_customize->add_section( 'photo_fusion_pro_footer', array(
	'title'               => esc_html__( 'Footer','photo-fusion-pro' ),
	'description'         => esc_html__( 'Footer section options.', 'photo-fusion-pro' ),
	'panel'               => 'photo_fusion_pro_theme_options_panel'
) );

// Copyright text setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[copyright_text]', array(
	'sanitize_callback'   => 'wp_filter_nohtml_kses',
	'transport'           => 'postMessage',
	'default'             => $options['copyright_text']
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[copyright_text]', array(
	'label'               => esc_html__( 'Copyright', 'photo-fusion-pro' ),
	'description'		  => esc_html__( 'You can add custom shortcodes, which will be automatically inserted into your theme. Some shorcodes: [the-year] and [site-link] for current year and site link respectively.', 'photo-fusion-pro' ),
	'section'             => 'photo_fusion_pro_footer',
	'type'                => 'textarea',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial( 'photo_fusion_pro_theme_options[copyright_text]', array(
		'selector'            => '#colophon .site-info span.site-title',
		'render_callback'     => 'photo_fusion_pro_customize_partial_copyright_text',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
	) );
}